/***************************************************************************
                          myexec.h  -  description
                             -------------------
    begin                : Fri May 10 2002
    copyright            : (C) 2002 by Argo Vessmann (ARTEC Design)
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYEXEC_H
#define MYEXEC_H

#include <qstring.h>
#include <qstringlist.h>

/**
  *@author Argo Vessmann
  */

class MyExec {
public: 
	MyExec();
	MyExec( QString c, bool autorun = TRUE );
	~MyExec();

	int run();
	int iofork();
	void readIos();
	QStringList stdOutput();
	QStringList stdError();
	int returnValue();
private:
	QString command;
	QString istring, ostring, estring;
	QStringList outputlist, errorlist;
	int retvalue;
	int inputfd, outputfd, errorfd;
};

#endif
